import { select,scaleOrdinal,scaleSqrt } from 'd3';
import { colorLegend } from './colorLegend';
import { sizeLegend } from './sizeLegend';


const svg = select('svg');
//const height = +svg.attr('height');


const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon','orange','lime'])
  .range(['#c11d1d', '#eae600','orange','green']);

const sizeScale = scaleSqrt()
  .domain([0,10])
  .range([0,50]);

// const render = () => {
//   colorLegend(svg, {
//     colorScale,
//     height: +svg.attr('height')
//   });
// };
// render();


svg.append('g')
	.attr('transform','translate(100,100)')
	.call(colorLegend, {
    colorScale,
  	circleRadius:50,
  	spacing:110,
  	textOffset:110
  });

svg.append('g')
	.attr('transform','translate(500,100)')
	.call(sizeLegend, {
    sizeScale,
  	spacing:85,
  	textOffset:40,
  	numTicks:5,
  	circleFill:'rgba(0,0,0,0.5)'
  });
